---
title: "查询指定国家下所有的州省信息"
description: "通过country_id查询某个国家下所有的州省信息"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/tax/query-specify-all-state-province-information-under-the-country'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/tax/query-specify-all-state-province-information-under-the-country.md'
---
# 查询指定国家下所有的州省信息

通过country_id查询某个国家下所有的州省信息

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_shipping`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /provinces/:id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_shipping`

## Request

### Path Parameters

* `id`

  string (required)

  店铺维度的国际码id

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `data`

  object

  返回体

  * `provinces`

    array<object>

    州省税费信息

    * `tax`

      string

      十进制格式的税值如 如0.3

    * `tax_name`

      string

      税费名称

    * `tax_percentage`

      string

      百分比格式的税值，如30.0

    * `code`

      string

      两个字母的省或州代码

    * `name`

      string

      子区域的英文名称


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "通过country_id查询某个国家下所有的州省信息",
  "externalDocs": {
    "description": "接口使用的权限点: `read_shipping` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "PWzGjkgZ",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "description": "店铺维度的国际码id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "id",
        "description": "店铺维度的国际码id",
        "type": "string",
        "example": "33"
      },
      "example": "33"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "返回体",
                "type": "object",
                "properties": {
                  "provinces": {
                    "name": "provinces",
                    "description": "州省税费信息",
                    "type": "array",
                    "items": {
                      "name": "provinces",
                      "description": "州省税费信息",
                      "type": "object",
                      "properties": {
                        "tax": {
                          "name": "tax",
                          "description": "十进制格式的税值如 如0.3",
                          "type": "string",
                          "example": ""
                        },
                        "tax_name": {
                          "name": "tax_name",
                          "description": "税费名称",
                          "type": "string",
                          "example": ""
                        },
                        "tax_percentage": {
                          "name": "tax_percentage",
                          "description": "百分比格式的税值，如30.0",
                          "type": "string",
                          "example": ""
                        },
                        "code": {
                          "name": "code",
                          "description": "两个字母的省或州代码",
                          "type": "string",
                          "example": ""
                        },
                        "name": {
                          "name": "name",
                          "description": "子区域的英文名称",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "tax": "",
                        "tax_name": "",
                        "tax_percentage": "",
                        "code": "",
                        "name": ""
                      }
                    },
                    "example": [
                      {
                        "tax_name": "",
                        "tax_percentage": "",
                        "code": "",
                        "name": "",
                        "tax": ""
                      }
                    ]
                  }
                },
                "example": {
                  "provinces": [
                    {
                      "tax_percentage": "",
                      "code": "",
                      "name": "",
                      "tax": "",
                      "tax_name": ""
                    }
                  ]
                }
              }
            },
            "example": {
              "data": {
                "provinces": [
                  {
                    "code": "",
                    "name": "",
                    "tax": "",
                    "tax_name": "",
                    "tax_percentage": ""
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/provinces/:id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询指定国家下所有的州省信息",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_shipping"
  ]
}
```